package com.example.calendaryapp;

import android.os.Bundle;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Clase actividad de la seccion de biblioteca
 * @author Carlos Fernandez, Sergio Castro, Javier Ortiz
 */
public class BiblioActivity extends AppCompatActivity {


    /**
    * Visor de texto del titulo del libro
    */
    TextView titulo;

    /**
    * Visor de texto del autor del libro
    */
    TextView autor;

    /**
    * Visor de texto de las copias disponibles del libro
    */
    TextView copiasDisponibles;

    @Override
    /**
    * Metodo crea la actividad del la opcion biblioteca de la aplicacion
    * @param savedInstanceState Conjunto de datos guardados del estado de la aplicacion.
    */
    protected void onCreate(Bundle savedInstanceState) {

        ArrayList<String> arrayTitulos = new ArrayList<>();
        ArrayList<String> arrayAutores = new ArrayList<>();
        ArrayList<String> arrayCantidades = new ArrayList<>();

        arrayTitulos.addAll(Arrays.asList(getResources().getStringArray(R.array.titulo_libros)));
        arrayAutores.addAll(Arrays.asList(getResources().getStringArray(R.array.autor_libros)));
        arrayCantidades.addAll(Arrays.asList(getResources().getStringArray(R.array.cantidad_libros)));


        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_biblio);

        titulo = (TextView) findViewById(R.id.titulo);
        autor = (TextView) findViewById(R.id.autor);
        copiasDisponibles = (TextView) findViewById(R.id.copiasDisponibles);

        int n=0;

        Bundle bundle = getIntent().getExtras();
        if(bundle != null){
            for (String item : arrayTitulos) {
                if(bundle.getString("Nombre_Libro").equalsIgnoreCase(item)){
                    n=arrayTitulos.indexOf(item);
                }
            }
            titulo.setText("Titulo: "+arrayTitulos.get(n));
            autor.setText("Autor: "+arrayAutores.get(n));
            copiasDisponibles.setText("Copias disponibles: "+arrayCantidades.get(n));
        }
    }

}